aegis -CoPy_file_Undo(1)

NAME
aegis -CoPy_file_Undo - reverse action of aecp

SYNOPSIS
aegis -CoPy_file_Undo [ option... ] filename...
aegis -CoPy_file_Undo -List [ option... ]
aegis -CoPy_file_Undo -Help

DESCRIPTION
The aegis -CoPy_file_Undo command is used to delete files previously copied into a change. The named files will be removed from the list of files in the change.

The file is deleted from the development directory unless the -Keep option is specified. The -Keep option should be used with great care, as you can confuse tools such as make(1) by leaving these files in place.

You may name a directory to delete from the change all files in that directory tree previously copied into the change, other files in the tree will be ignored. It is an error if there are no relevant files.

  Branch vs Change
The aecpu(1) command may only be applied to a change. If you wish to perform the same operation on a branch, use the aemt(1) command, through the agency of a change.

  File Name Interpretation
The aegis program will attempt to determine the project file names from the file names given on the command line. All file names are stored within aegis projects as relative to the root of the baseline directory tree. The development directory and the integration directory are shadows of this baseline directory, and so these relative names apply here, too. Files named on the command line are first converted to absolute paths if necessary. They are then compared with the baseline path, the development directory path, and the integration directory path, to determine a baseline-relative name. It is an error if the file named is outside one of these directory trees.

The -BAse_RElative option may be used to cause relative filenames to be interpreted as relative to the baseline path; absolute filenames will still be compared with the various paths in order to determine a baseline-relative name.

The relative_filename_preference in the user configuration file may be used to modify this default behavior. See aeuconf(5) for more information.

  Process Side Effects
This command will cancel any build or test registrations, because deleting a file logically invalidates them. If the project configuration file was deleted, any diff registration will also be canceled.

The difference file (,D) will also be removed, however any DMT derived files (e.g a .o file from a .c file) will not be removed. This is because aegis is decoupled from the DMT, and cannot know what these derived file may be called. You may need to delete derived files manually.

  Notification
The copy_file_undo_command in the project config file is run, if set. The project_file_command is also run, if set, and if there has been an integration recently. See aepconf(5) for more information.

OPTIONS
The following options are understood:

-BAse_RElative
    This option may be used to cause relative filenames to be considered relative to the base of the source tree. See aeuconf(5) for the corresponding user preference.

-CUrrent_RElative
    This option may be used to cause relative filenames to be considered relative to the current directory. This is usually the default. See aeuconf(5) for the corresponding user preference.

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-Help
    This option may be used to obtain more information about how to use the aegis program.

-Interactive
    Specify that aegis should ask the user for confirmation before deleting each file. Answer the question yes to delete the file, or no to keep the file. You can also answer all to delete the file and all that follow, or none to keep the file and all that follow.

    Defaults to the user's delete_file_preference if not specified, see aeuconf(5) for more information.

    If aegis is running in the background, the question will not be asked, and the files will be deleted.

-Keep
    This option may be used to retain files and/or directories usually deleted or replaced by the command. Defaults to the user's delete_file_preference if not specified, see aeuconf(5) for more information.

-No_Keep
    This option may be used to ensure that the files and/or directories are deleted or replaced by the command. Defaults to the user's delete_file_preference if not specified, see aeuconf(5) for more information.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-Read_Only
    This option may be used to specify that only insulation files are to be uncopied. If you specify -UNChanged as well, only unchanged insulation files will be uncopied.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-Verify_Symbolic_Links
    This option may be used to request that the symbolic links, or hard links, or file copies, in the work area be updated to reflect the current state of the baseline. This is controlled by the development_directory_style field of the project configuration file. Only files which are not involved in the change are updated. See also the “symbolic_links_preference” field of aeuconf(5). This option is the default, if meaningful for your configuration. The name is an historical accident, hard links and file copies are included.

-Assume_Symbolic_Links
    This option may be used to request that no update of baseline mirror files take place. This options is useful when you definitely know the files' up-to-date-ness isn't important right now; incorrect use of this option may have unanticipated build side-effects. See also the “symbolic_links_preference” field of aeuconf(5). This option is the default, if not meaningful for your configuration. The name is an historical accident, hard links and file copies are included.

-UNChanged
    Examine the named files to see if they are unchanged. Only remove the unchanged files from the change, and leave the files which have changed. If no files are named on the command line all change files are checked.

-Verbose
    This option may be used to cause aegis to produce more output. By default aegis only produces output on errors. When used with the -List option this option causes column headings to be added.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%	alias aecpu 'aegis -cpu \!* -v'
sh$	aecpu(){aegis -cpu "$@" -v}

ERRORS
It is an error if the change is not in the being developed state.
It is an error if the change is not assigned to the current user.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

SEE ALSO

aecp(1)
    copy files into a change

aemt(1)
    make branch files transparent

aeuconf(5)
    user configuration file format

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/